io.netty.handler.codec.mqtt

## Enum MqttProperties.MqttPropertyType

- java.lang.Object
- - java.lang.Enum<MqttProperties.MqttPropertyType>
  - - io.netty.handler.codec.mqtt.MqttProperties.MqttPropertyType

All Implemented Interfaces:
  Serializable, Comparable<MqttProperties.MqttPropertyType>

Enclosing class:
  MqttProperties

    public static enum MqttProperties.MqttPropertyType
    extends Enum<MqttProperties.MqttPropertyType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSIGNED_CLIENT_IDENTIFIER`
`AUTHENTICATION_DATA`
`AUTHENTICATION_METHOD`
`CONTENT_TYPE`
`CORRELATION_DATA`
`MAXIMUM_PACKET_SIZE`
`MAXIMUM_QOS`
`PAYLOAD_FORMAT_INDICATOR`
`PUBLICATION_EXPIRY_INTERVAL`
`REASON_STRING`
`RECEIVE_MAXIMUM`
`REQUEST_PROBLEM_INFORMATION`
`REQUEST_RESPONSE_INFORMATION`
`RESPONSE_INFORMATION`
`RESPONSE_TOPIC`
`RETAIN_AVAILABLE`
`SERVER_KEEP_ALIVE`
`SERVER_REFERENCE`
`SESSION_EXPIRY_INTERVAL`
`SHARED_SUBSCRIPTION_AVAILABLE`
`SUBSCRIPTION_IDENTIFIER`
`SUBSCRIPTION_IDENTIFIER_AVAILABLE`
`TOPIC_ALIAS`
`TOPIC_ALIAS_MAXIMUM`
`USER_PROPERTY`
`WILDCARD_SUBSCRIPTION_AVAILABLE`
`WILL_DELAY_INTERVAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `value()`
`static MqttProperties.MqttPropertyType` `valueOf(int type)`
`static MqttProperties.MqttPropertyType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MqttProperties.MqttPropertyType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PAYLOAD_FORMAT_INDICATOR

    public static final MqttProperties.MqttPropertyType PAYLOAD_FORMAT_INDICATOR

#### REQUEST_PROBLEM_INFORMATION

    public static final MqttProperties.MqttPropertyType REQUEST_PROBLEM_INFORMATION

#### REQUEST_RESPONSE_INFORMATION

    public static final MqttProperties.MqttPropertyType REQUEST_RESPONSE_INFORMATION

#### MAXIMUM_QOS

    public static final MqttProperties.MqttPropertyType MAXIMUM_QOS

#### RETAIN_AVAILABLE

    public static final MqttProperties.MqttPropertyType RETAIN_AVAILABLE

#### WILDCARD_SUBSCRIPTION_AVAILABLE

    public static final MqttProperties.MqttPropertyType WILDCARD_SUBSCRIPTION_AVAILABLE

#### SUBSCRIPTION_IDENTIFIER_AVAILABLE

    public static final MqttProperties.MqttPropertyType SUBSCRIPTION_IDENTIFIER_AVAILABLE

#### SHARED_SUBSCRIPTION_AVAILABLE

    public static final MqttProperties.MqttPropertyType SHARED_SUBSCRIPTION_AVAILABLE

#### SERVER_KEEP_ALIVE

    public static final MqttProperties.MqttPropertyType SERVER_KEEP_ALIVE

#### RECEIVE_MAXIMUM

    public static final MqttProperties.MqttPropertyType RECEIVE_MAXIMUM

#### TOPIC_ALIAS_MAXIMUM

    public static final MqttProperties.MqttPropertyType TOPIC_ALIAS_MAXIMUM

#### TOPIC_ALIAS

    public static final MqttProperties.MqttPropertyType TOPIC_ALIAS

#### PUBLICATION_EXPIRY_INTERVAL

    public static final MqttProperties.MqttPropertyType PUBLICATION_EXPIRY_INTERVAL

#### SESSION_EXPIRY_INTERVAL

    public static final MqttProperties.MqttPropertyType SESSION_EXPIRY_INTERVAL

#### WILL_DELAY_INTERVAL

    public static final MqttProperties.MqttPropertyType WILL_DELAY_INTERVAL

#### MAXIMUM_PACKET_SIZE

    public static final MqttProperties.MqttPropertyType MAXIMUM_PACKET_SIZE

#### SUBSCRIPTION_IDENTIFIER

    public static final MqttProperties.MqttPropertyType SUBSCRIPTION_IDENTIFIER

#### CONTENT_TYPE

    public static final MqttProperties.MqttPropertyType CONTENT_TYPE

#### RESPONSE_TOPIC

    public static final MqttProperties.MqttPropertyType RESPONSE_TOPIC

#### ASSIGNED_CLIENT_IDENTIFIER

    public static final MqttProperties.MqttPropertyType ASSIGNED_CLIENT_IDENTIFIER

#### AUTHENTICATION_METHOD

    public static final MqttProperties.MqttPropertyType AUTHENTICATION_METHOD

#### RESPONSE_INFORMATION

    public static final MqttProperties.MqttPropertyType RESPONSE_INFORMATION

#### SERVER_REFERENCE

    public static final MqttProperties.MqttPropertyType SERVER_REFERENCE

#### REASON_STRING

    public static final MqttProperties.MqttPropertyType REASON_STRING

#### USER_PROPERTY

    public static final MqttProperties.MqttPropertyType USER_PROPERTY

#### CORRELATION_DATA

    public static final MqttProperties.MqttPropertyType CORRELATION_DATA

#### AUTHENTICATION_DATA

    public static final MqttProperties.MqttPropertyType AUTHENTICATION_DATA

### Method Detail

#### values

    public static MqttProperties.MqttPropertyType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MqttProperties.MqttPropertyType c : MqttProperties.MqttPropertyType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MqttProperties.MqttPropertyType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### value

    public int value()

#### valueOf

    public static MqttProperties.MqttPropertyType valueOf(int type)